<!--
 * @Author: your name
 * @Date: 2021-12-06 11:07:11
 * @LastEditTime: 2021-12-07 18:35:11
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \huizhi-sdk\src\components\Tab\screen.vue
-->
<template>
  <div class="tab">
      <div class="tab-content" v-show="showTab">
          <div>
              <el-button type="text" @click="showTab = !showTab" >隐藏菜单</el-button>
          </div>
          <el-tabs v-model="activeName">
              <el-tab-pane label="模型" name="model">
                  <model-panel />
              </el-tab-pane>
              <!-- <el-tab-pane label="标注" name="label">
                <label-panel />
              </el-tab-pane> -->
              <el-tab-pane label="四色图" name="plot">
                  <plot-panel :type='type' :colorMapList='colorMapList' @getList="getList"/>
              </el-tab-pane>
              <el-tab-pane label="图标" name="marker">
                  <marker-panel />
              </el-tab-pane>
              <!-- <el-tab-pane label="波动圈" name="wave">
                <wave-panel />
              </el-tab-pane>
              <el-tab-pane label="光柱" name="beam">
                <beam-panel />
              </el-tab-pane> -->
              <!-- <el-tab-pane label="动画轨迹" name="line">
                <animate-line-panel />
              </el-tab-pane> -->
          </el-tabs>
      <!-- <tool-panel /> -->
    </div>
    <div v-show="!showTab">
        <el-button type="text" @click="showTab = !showTab" >显示菜单</el-button>
    </div>
  </div>
</template>

<script>
import LabelPanel from './Label';
import PlotPanel from './Plot';
import MarkerPanel from './Marker';
import WavePanel from './Wave';
import ToolPanel from './Tool';
import ModelPanel from './Model';
import BeamPanel from './Beam';
import AnimateLinePanel from './AnimateLine';

export default {
  props:['type','colorMapList'],
  components: {
    LabelPanel,
    PlotPanel,
    MarkerPanel,
    WavePanel,
    ToolPanel,
    ModelPanel,
    AnimateLinePanel,
    BeamPanel,
  },
  data() {
    return {
      activeName: 'model',
      showTab: true,
    };
  },
  methods : {
      getList(){
          this.$emit('getList')
      }
  }
};
</script>

<style scoped>
.tab {
  position: absolute;
  font-size: 14px;
  z-index: 999;
  left: 10px;
  top: 10px;
  user-select: none;
}

.tool-button {
  position: fixed;
  bottom: 20px;
  left: 20px;
}
.tab-content {
  width: 420px;
  min-height: 120px;
  background-color: rgba(255, 255, 255, 0.95);
  padding: 10px 15px;
  box-shadow: 0 0 5px 1px rgba(0, 0, 0, 0.15);
  border-radius: 3px;
}
.tab-content > div > div:nth-child(2) > div > div.container {
  max-height: 520px;
  overflow-y: auto;
  overflow-x: hidden;
}
</style>
